<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Ansible on MCの飄狂山莊㊣</title>
    <link>https://h.cowbay.org/tags/ansible/</link>
    <description>Recent content in Ansible on MCの飄狂山莊㊣</description>
    <generator>Hugo -- gohugo.io</generator>
    <lastBuildDate>Thu, 29 Nov 2018 11:22:28 +0800</lastBuildDate>
    
	<atom:link href="https://h.cowbay.org/tags/ansible/index.xml" rel="self" type="application/rss+xml" />
    
    
    <item>
      <title>[筆記] 還是 Ansible Selectattr </title>
      <link>https://h.cowbay.org/post/ansible-selectattr-filter/</link>
      <pubDate>Thu, 29 Nov 2018 11:22:28 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/ansible-selectattr-filter/</guid>
      <description>&lt;p&gt;在上一篇 &lt;a href=&#34;https://h.cowbay.org/post/ansible-selectattr/&#34;&gt;Ansible how to use &amp;lsquo;list&amp;rsquo; in yaml file &lt;/a&gt;&lt;/p&gt;

&lt;p&gt;有提到怎麼用 with_items / set_fact 來取得在yaml 檔案中的清單&lt;/p&gt;

&lt;p&gt;不過就是有點醜&lt;/p&gt;

&lt;p&gt;&lt;/p&gt;</description>
    </item>
    
    <item>
      <title>[筆記] Ansible how to use &#39;list&#39; in yaml file </title>
      <link>https://h.cowbay.org/post/ansible-selectattr/</link>
      <pubDate>Tue, 27 Nov 2018 16:50:53 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/ansible-selectattr/</guid>
      <description>&lt;p&gt;這幾天在玩ansible 時，碰到一個問題&lt;/p&gt;

&lt;p&gt;假如我有個yaml檔作為資料來源，檔名是 abc.yml&lt;/p&gt;

&lt;p&gt;大概長這樣&lt;/p&gt;

&lt;pre&gt;&lt;code&gt;    &amp;quot;teams&amp;quot;: [
        {
            &amp;quot;chinese_name&amp;quot;: &amp;quot;TEAM1&amp;quot;,
            &amp;quot;description&amp;quot;: &amp;quot;TEAM1&amp;quot;,
            &amp;quot;gid&amp;quot;: 10125,
            &amp;quot;location&amp;quot;: [
                &amp;quot;hq&amp;quot;
            ],
            &amp;quot;name&amp;quot;: &amp;quot;aa&amp;quot;,
            &amp;quot;users&amp;quot;: [
                &amp;quot;chen&amp;quot;,
                &amp;quot;chou&amp;quot;,
                &amp;quot;huani&amp;quot;,
                &amp;quot;yey&amp;quot;,
                &amp;quot;wa&amp;quot;
            ]
        },
        {
            &amp;quot;chinese_name&amp;quot;: &amp;quot;TEAM2&amp;quot;,
            &amp;quot;description&amp;quot;: &amp;quot;TEAM2&amp;quot;,
            &amp;quot;gid&amp;quot;: 10126,
            &amp;quot;location&amp;quot;: [
                &amp;quot;hq&amp;quot;
            ],
            &amp;quot;name&amp;quot;: &amp;quot;bb&amp;quot;,
            &amp;quot;users&amp;quot;: [
                &amp;quot;chhiao&amp;quot;,
                &amp;quot;chgc&amp;quot;,
                &amp;quot;chy&amp;quot;,
                &amp;quot;hsi&amp;quot;,
                &amp;quot;li&amp;quot;,
                &amp;quot;li&amp;quot;,
                &amp;quot;chgchi&amp;quot;
            ]
        }
		]
		
&lt;/code&gt;&lt;/pre&gt;

&lt;p&gt;&lt;/p&gt;</description>
    </item>
    
  </channel>
</rss>